﻿using UnityEngine;
using System.Collections;

public class LaserScript : MonoBehaviour {

	public SpriteRenderer laser;
	public SpriteRenderer glow;
	
	public SpriteRenderer lightStart;
	public SpriteRenderer lightMiddle;
	
	public SpriteRenderer start;
	public SpriteRenderer startInner;
	public SpriteRenderer startOuter;
	
	public Transform overlaySpawn;
	
	public Animator laserAnim;
	
	public GameObject overlayPrefab;
	
	private bool spawned=false;
	public void Spawned(){
		laser.gameObject.SetActive(true);
		glow.gameObject.SetActive(true);
		lightStart.gameObject.SetActive(true);
		lightMiddle.gameObject.SetActive(true);
		
		spawned=true;
		laserAnim.SetBool("spawned", true);
	}
	
	void Update(){
		if(spawned){
			float randomOpacity=Random.Range (0.2f, 0.3f);
			lightStart.color=new Color(1f, 1f, 1f, randomOpacity);
			lightMiddle.color=new Color(1f, 1f, 1f, randomOpacity);
			
			Vector3 newScale=laser.transform.localScale;
			newScale.x=Random.Range (0.9f, 1.1f);
			laser.transform.localScale=newScale;
			
			GameObject newOverlay=Instantiate(overlayPrefab, overlaySpawn.position, Quaternion.identity) as GameObject;
			newOverlay.transform.SetParent(gameObject.transform);
		}
	}
}
